## Apache Zeta Components Manual :: Docs For Class ezcBaseFileFindContext

### Base::ezcBaseFileFindContext

### Class ezcBaseFileFindContext

Struct which defines the information collected by the file walker for locating files.

Source for this file: /Base/src/structs/file_find_context.php

    ezcBaseStruct
       |
       --ezcBaseFileFindContext

Version: | //autogentag//

### Member Variables

public int | `$count` The number of files
public array(string) | `$elements` The list of files
public int | `$size` The total file size of all files found

### Method Summary

public static ezcBaseFileFindContext | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcBaseFileFindContext | `__construct( [ $elements = array()] , [ $count = 0] , [ $size = 0] )` Constructs a new ezcBaseFileFindContext with initial values.

### Methods

#### __set_state

static ezcBaseFileFindContext __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcBaseFileFindContext __construct( [array(string) $elements = array()] , [int $count = 0] , [int $size = 0] )

Constructs a new ezcBaseFileFindContext with initial values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | array(string) |
`$count` | int |
`$size` | int |

Documentation generated by phpDocumentor 1.4.3